<xsl:stylesheet  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  version="1.0">
<xsl:output method="html"/>
	<xsl:template match="/lsmd">
		<html>
			<head>
				<link type="text/css" href="docs.css" rel="stylesheet"/>
				<title>
					<xsl:value-of select="module/@filename"/> v<xsl:value-of select="module/@version"/>
				</title>
			</head>
			<body bgcolor="#dddddd" text="Black" link="#3D007A" alink="#3D007A" vlink="#3D007A">
				<center>
					<table width="100%" border="0" text="#FFFFFF" link="#3D007A" alink="#3D007A" vlink="#3D007A" marginwidth="5" marginheight="5" topmargin="5" leftmargin="5">
						<tr class="border">
							<td>
								<table width="100%" border="0" cellpadding="0" cellspacing="0" class="main">
									<tr>
										<td>
											<table width="100%" border="0" cellpadding="10" cellspacing="0">
												<tr>
													<td>
														<div class="title">
															<xsl:value-of select="module/@filename"/> documentation
														</div>
														<span class="info">
															XML/XSL-generated documentation, on the official litestep docs model.<br/>
															docs layout written by the LiteStep Documentation Effort, August 2000<br/>
															XML schema by <A HREF="mailto:mrmidi@gmx.net">MrMidi</A>, XSL by <A HREF="mailto:jesus_mjjg@skynet.be">jesus_mjjg</A><br/>
														</span>
													</td>
													<td align="right" valign="middle">
														<img src="i/logo.gif" width="64" height="64"/>
													</td>
												</tr>
											</table>
										</td>
									</tr>
									<tr>
										<td>
											<div class="head">
												What does <xsl:value-of select="module/@filename"/> do?
											</div>
											<div class="body">
												<xsl:value-of select="module/description"/><br/><br/>
											</div>
											<div class="head">
												Step.rc syntax for <xsl:value-of select="module/@filename"/>
											</div>
												<table width="100%" cellspacing="0" cellpadding="0" border="1" align="center">
													<tr class="border">
														<td>
															<table align="center" border="0" cellpadding="2" cellspacing="1" width="100%">
																<center>
																	<xsl:for-each select="/lsmd/module/command">
																		<tr class="item">
																			<td align="center" class="data">
																				<code>
																					<!-- 20030123 -->
																					 <xsl:if test="./prefixes">
																					 	-
																					 </xsl:if>											
																					<xsl:value-of select="./@name"/>
																					 <xsl:if test="./prefixes">
																					 	(apply the following prefixes):
																					 </xsl:if>																																 <br/>
																					<xsl:for-each select="./prefixes">
																					<xsl:if test="./prefix-default">
																						default: <xsl:value-of select="./prefix-default"/><br/><br/>
																					</xsl:if>
																						<xsl:for-each select="./prefix">
																							<xsl:value-of select="."/><br/>
																						</xsl:for-each>
																					</xsl:for-each>
																					<!-- 20030123 -->
																				</code>
																			</td>
																			<td class="data" width="60%">
																				<xsl:value-of select="description"/><br/><br/>								
																				<xsl:choose>
																					<xsl:when test="list">
																						<xsl:apply-templates select="list"/>
																					</xsl:when>
																					<xsl:otherwise>
																				<!-- not happy -->
																				<xsl:if test="./bool">
																					Bool<br/>
																				</xsl:if>
																				<xsl:if test="./color">
																					Color<br/>
																				</xsl:if>	
																				<xsl:if test="./integer">
																					Integer<br/>
																				</xsl:if>
																				<xsl:if test="./image">
																					Image<br/>
																				</xsl:if>
																				<xsl:if test="./font">
																					Font<br/>
																				</xsl:if>
																						<b>Default: </b><xsl:value-of select=".//@default"/>
																					</xsl:otherwise>
																				</xsl:choose>
																				<br/>
																				<!-- not happy -->
																				<!-- this is done for one, but the theory tells me that it's NOT ok -->
																				<xsl:if test='paramset'>
																					Parameters: 
																			        	<xsl:for-each select='paramset'>
																						<xsl:for-each select="integer" >
																							Integer 
																						</xsl:for-each>
																						<xsl:for-each select="bool" >
																							Bool
																						</xsl:for-each>
																						<!-- if not the last one --> 
																						<xsl:if test="integer" >
																							<xsl:text> or </xsl:text>
																						</xsl:if>
																			        	</xsl:for-each>
																			        	<br/>
<!--																		        		<xsl:if test="@default">
																						<br/><b>Default:</b> <xsl:value-of select="@default"/><br/>
																		        		</xsl:if>-->
																				 </xsl:if>
																				<xsl:if test="./string">
																					<!--<xsl:value-of select="description"/><br/><br/>							-->
																					String<br/>
																				</xsl:if>
																			</td>
																		</tr>
																	</xsl:for-each>
																</center>
															</table>
														</td>
													</tr>
												</table>
											<div class="head">
												!Bang Commands for <xsl:value-of select="module/@filename"/>
											</div>
											<table width="100%" cellspacing="0" cellpadding="0" border="1" align="center">
												<tr class="border">
													<td>
														<table align="center" border="0" cellpadding="2" cellspacing="1" width="100%">
															<center>
																<xsl:for-each select="/lsmd/module/bang">
																	<tr class="item">
																		<td align="center" class="data">
																			<code>
																				!<xsl:value-of select="./@name"/>
																			</code>
																		</td>
																		<td class="data" width="60%">
																			<xsl:if test="./description">
																				<xsl:value-of select="./description"/><br/>
																			</xsl:if>
																			<xsl:if test="./integer">
																			     <br/> Parameters: 
																				<xsl:for-each select="./integer">
																					Integer
																				</xsl:for-each>
																			</xsl:if>
																			<xsl:if test="./list">
																				<xsl:value-of select=".//description"/><br/>
																				<xsl:for-each select="./list">
																					Parameters: 							
																					<xsl:for-each select="./item">	
																						<xsl:value-of select="."/><xsl:text> </xsl:text>
																					</xsl:for-each>
																				 </xsl:for-each>
																			</xsl:if>
																		</td>
																	</tr>
																</xsl:for-each>
															</center>
														</table>
													</td>
												</tr>
											</table>
										<div class="head">
											About <xsl:value-of select="module/@filename"/> v<xsl:value-of select="module/@version"/>:<br/>
										</div>
										<div class="body">
											Author contact informations:<br/>
											Name: <xsl:value-of select="module/author/@name"/><br/>
											Email: <xsl:value-of select="module/author/@email"/><br/>
											Icq: <xsl:value-of select="module/author/@icq"/><br/>
											Msn: <xsl:value-of select="module/author/@msn"/><br/>
											Yim: <xsl:value-of select="module/author/@yim"/><br/>
											Aim: <xsl:value-of select="module/author/@aim"/><br/>
											Homepage: <xsl:value-of select="module/author/@url"/><br/><br/>
											Project homepage: <xsl:value-of select="module/url/@src"/><br/>
										</div>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
			</center>
		</body>
	</html>
</xsl:template>
<!-- special processing for the list -->
<xsl:template match="list">
	<xsl:for-each select="item">
		<xsl:value-of select="./@value"/> (<xsl:value-of select="."/>)
		<xsl:text> </xsl:text>			
	</xsl:for-each>
</xsl:template>
</xsl:stylesheet>